import { Session, WebContents, BrowserWindow } from 'electron';
import { IpcExtension } from '../models/ipc-extension';
import { IStorage } from '../models/storage';
export declare const storages: Map<string, IStorage>;
export interface IOptions {
    contentPreloadPath?: string;
    backgroundPreloadPath?: string;
}
export declare class ExtensibleSession {
    session: Session;
    extensions: {
        [key: string]: IpcExtension;
    };
    id: number;
    webContents: WebContents[];
    lastActiveWebContents: WebContents;
    private _initialized;
    private options;
    constructor(session: Session, options?: IOptions);
    loadExtension(dir: string): Promise<IpcExtension>;
    addWindow(window: BrowserWindow): void;
}
