/// <reference types="chrome" />
/// <reference types="node" />
import { EventEmitter } from 'events';
import { IpcExtension } from '../models/ipc-extension';
export declare interface ExtensionsRenderer {
    on(event: 'create-tab', listener: (details: chrome.tabs.CreateProperties, callback: (tabId: number) => void) => void): this;
    on(event: 'set-badge-text', listener: (extensionId: string, details: chrome.browserAction.BadgeTextDetails) => void): this;
    on(event: string, listener: Function): this;
}
export declare class ExtensionsRenderer extends EventEmitter {
    browserAction: {
        onClicked: (extensionId: string, tabId: number) => void;
    };
    constructor();
    getExtensions(): {
        [key: string]: IpcExtension;
    };
}
export declare const extensionsRenderer: ExtensionsRenderer;
